GET /api/v202202/bill/{billId}/udf

Retrieves all custom field (UDF) values for a specific bill

GetBillCustomFieldsV202202 Permissions: BillsAndBatches (View)
Use this endpoint to get the current values of all user-defined fields configured for bills. Returns both populated and empty fields.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
billId Unique numeric identifier of the bill integer (int32) Required

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

UDFFieldChild
Property Description Type
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode The data type code/short name Required (defined) string
dataTypeId The unique identifier for the data type (e.g., 1=boolean, 2=integer, 3=string, 4=double, 6=date, 12=select list, 13=URL) Required (defined) integer (int32)
dataTypeInfo The data type display name/description Required (defined) string
description A description of what this UDF field is used for Required (defined) string
displayOrder The sort order for displaying this field relative to other UDF fields Required (defined) integer (int32)
important When true, this UDF field is flagged as important and may be highlighted in the UI Required (defined) boolean
name The display name of the UDF field Required (defined) string
udfId The unique identifier for this UDF field definition Required (defined) integer (int32)
udfSelectValues For select-list type UDFs, the available options that can be chosen as values Required (defined) UDFSelectValueEntityResponse[]
UDFSelectValueEntityResponse properties
Property Description Type
displayOrder The sort order for displaying this option in the select list Required (defined) integer (int32)
udfSelectValueId The unique identifier of this select option. Use this value (not the display Value) when setting a select-list UDF. Required (defined) integer (int32)
value The display text for this select option Required (defined) string
value The current value of this UDF field for the entity. Null if no value has been set. Format depends on DataType. Required (defined) string
Example Response application/json
[
  {    "dataType": {      "dataTypeCode": "string",      "dataTypeId": 1,      "dataTypeInfo": "string"
    },    "description": "string",    "displayOrder": 1,    "important": false,    "name": "string",    "udfId": 1,    "udfSelectValues": [
      {      "displayOrder": 1,      "udfSelectValueId": 1,      "value": "string"
    }
    ],    "value": "string"
  }
]